"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CertificateRegion = void 0;
const client_acm_1 = require("@aws-sdk/client-acm");
const _1 = require(".");
class CertificateRegion {
    constructor(region) {
        this.client = new client_acm_1.ACMClient({ region });
    }
    list() {
        return __awaiter(this, void 0, void 0, function* () {
            const certificates = [];
            let next;
            while (true) {
                const result = yield this.client.send(new client_acm_1.ListCertificatesCommand({
                    NextToken: next
                }));
                if (result.CertificateSummaryList) {
                    result.CertificateSummaryList.forEach((summary) => {
                        const certificate = new _1.Certificate(this);
                        // certificate.setDetail(summary)
                        return certificate;
                    });
                }
                if (result.NextToken)
                    next = result.NextToken;
                else
                    break;
            }
            return certificates;
        });
    }
    getClient() {
        return this.client;
    }
}
exports.CertificateRegion = CertificateRegion;
