"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudFrontAuthorizer = void 0;
const client_cloudfront_1 = require("@aws-sdk/client-cloudfront");
const constant_1 = require("./constant");
class CloudFrontAuthorizer {
    constructor(id) {
        this.id = id;
    }
    static create() {
        return __awaiter(this, void 0, void 0, function* () {
            const client = new client_cloudfront_1.CloudFrontClient({ region: constant_1.CLOUDFRONT_REGION });
            const result = yield client.send(new client_cloudfront_1.CreateCloudFrontOriginAccessIdentityCommand({
                CloudFrontOriginAccessIdentityConfig: {
                    CallerReference: new Date().toISOString(),
                    Comment: 'CF'
                }
            }));
            if (!result.CloudFrontOriginAccessIdentity)
                throw new Error('invalid identity');
            return new CloudFrontAuthorizer(result.CloudFrontOriginAccessIdentity.Id);
        });
    }
    getId() {
        return this.id;
    }
    getHeader() {
        return '';
    }
    getHeaderValue() {
        return '';
    }
}
exports.CloudFrontAuthorizer = CloudFrontAuthorizer;
