"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedWebsocketMessage = exports.InvalidWebsocketMessage = exports.WebsocketHandshake = exports.RouterConfiguration = exports.InvalidParameter = exports.InvalidServer = exports.InvalidRouter = exports.RouteError = exports.InvalidRoute = exports.InvalidRequest = exports.ResourceNotFound = void 0;
function error(status, message) {
    const e = { status, message };
    if (status === 400)
        e.toString = function () {
            return 'HTTP/1.1 400 Bad Request';
        };
    return e;
}
exports.ResourceNotFound = error(404);
exports.InvalidRequest = error(401);
exports.InvalidRoute = error(404, 'Route not found');
exports.RouteError = error(500, 'The route threw an unhandled error');
exports.InvalidRouter = error(500, 'Router configuration');
exports.InvalidServer = error(500, 'Server configuration');
exports.InvalidParameter = error(404, 'Invalid parameter');
exports.RouterConfiguration = error(500);
exports.WebsocketHandshake = error(401);
exports.InvalidWebsocketMessage = error(500);
exports.UnsupportedWebsocketMessage = error(500);
