"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudFrontOrigin = void 0;
// External origins
const lambda_1 = require("../lambda");
class CloudFrontOrigin {
    constructor(origin) {
        if (!origin) { }
        else if (origin instanceof lambda_1.LambdaFunction)
            this.lambda = origin;
    }
    getOrigin() {
        return {
            DomainName: this.lambda.getDomainName(),
            Id: this.lambda.getOriginName(),
            OriginPath: '',
            CustomHeaders: this.identity ? {
                Items: [
                    {
                        HeaderName: this.identity.getHeader(),
                        HeaderValue: this.identity.getHeaderValue()
                    }
                ],
                Quantity: 1
            } : {
                Items: [],
                Quantity: 0
            },
            CustomOriginConfig: {
                HTTPPort: 80,
                HTTPSPort: 443,
                OriginSslProtocols: {
                    Items: ['TLSv1.2'],
                    Quantity: 1
                },
                OriginReadTimeout: 30,
                OriginKeepaliveTimeout: 10,
                OriginProtocolPolicy: 'https-only'
            }
        };
    }
}
exports.CloudFrontOrigin = CloudFrontOrigin;
