"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomainRecord = void 0;
class DomainRecord {
    constructor(domain) {
        this.domain = domain;
    }
    forSubdomain(subdomain) {
        this.subdomain = subdomain;
        return this;
    }
    forCache(cache) {
        this.record = {
            Name: this.getName(),
            Type: 'A',
            AliasTarget: {
                HostedZoneId: '',
                DNSName: cache.getDomainName(),
                EvaluateTargetHealth: false
            }
        };
        return this;
    }
    getCreateChange() {
        return {
            Action: 'CREATE',
            ResourceRecordSet: this.record
        };
    }
    getName() {
        if (this.subdomain != null) {
            return [this.subdomain, this.domain.getName()].join('.');
        }
        return this.domain.getName();
    }
    setRecord(record) {
        if (record)
            this.record = record;
        return this;
    }
}
exports.DomainRecord = DomainRecord;
