"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIGatewayIntegration = void 0;
const client_apigatewayv2_1 = require("@aws-sdk/client-apigatewayv2");
const util_1 = require("../util");
class APIGatewayIntegration {
    constructor(gateway, integration) {
        this.gateway = gateway;
        // Set integration
        if (integration == null) { }
        else if ((0, util_1.isString)(integration))
            this.id = integration;
        else {
            this.integration = integration;
            this.id = integration.IntegrationId;
        }
    }
    get() {
        return __awaiter(this, void 0, void 0, function* () {
            const result = yield this.gateway.getClient().send(new client_apigatewayv2_1.GetIntegrationCommand({
                ApiId: this.gateway.getId(),
                IntegrationId: this.id
            }));
            this.id = result.IntegrationId;
            this.integration = result;
        });
    }
    getId() {
        return this.integration.IntegrationId;
    }
    getTimeout() {
        return this.integration.TimeoutInMillis;
    }
    isPublic() {
        return this.integration.ConnectionType === 'INTERNET';
    }
    isPrivate() {
        return this.integration.ConnectionType === 'VPC_LINK';
    }
}
exports.APIGatewayIntegration = APIGatewayIntegration;
