"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isServiceId = exports.isString = exports.getService = exports.getServiceDescription = exports.getServiceName = exports.getName = void 0;
const constant_1 = require("./constant");
function getName(config) {
    const env = process.env.NODE_ENV;
    let name = config.name;
    if (!isString(name))
        throw new Error('invalid name');
    if (env) {
        if (config.prefix && config.prefix[env])
            name = config.prefix[env] + name;
        if (config.suffix && config.suffix[env])
            name = name + config.suffix[env];
    }
    return name;
}
exports.getName = getName;
function getServiceName(config, service) {
    return [getName(config), service].join('_');
}
exports.getServiceName = getServiceName;
function getServiceDescription(config, service) {
    return [getName(config), service].join('_');
}
exports.getServiceDescription = getServiceDescription;
function getService(config, service) {
    if (!Array.isArray(config.service))
        return undefined;
    return config.service.find((s) => ((s.id || s.type) === service));
}
exports.getService = getService;
function isString(str) {
    return str != null && typeof str === 'string';
}
exports.isString = isString;
function isServiceId(service) {
    return isString(service) && constant_1.SERVICE_ID.has(service);
}
exports.isServiceId = isServiceId;
